GNU bug report logs - #24523
Base64 images makes Emacs slow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andreas Nilsson <an@HIDDEN>; merged with #3219, #4123, #9589, #13675, #15555, #18530, #30457; dated Sat, 24 Sep 2016 05:38:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3219 4123 9589 13675 15555 18530 24523 30457. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3219 4123 9589 13675 15555 18530 24523. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24523 <at> debbugs.gnu.org:


Received: (at 24523) by debbugs.gnu.org; 24 Sep 2016 11:32:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 07:32:58 2016
Received: from localhost ([127.0.0.1]:33937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnlCU-0002p0-O0
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bnlCT-0002om-JY
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bnlCL-0002o8-FC
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 07:32:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36912)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bnlCC-0002kW-LB; Sat, 24 Sep 2016 07:32:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1102
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bnlC9-0000i1-Ol; Sat, 24 Sep 2016 07:32:40 -0400
Date: Sat, 24 Sep 2016 14:32:44 +0300
Message-Id: <838tuhcz37.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
In-reply-to: <20160924110901.5482c558@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 11:09:01 +0200)
Subject: Re: bug#24523: Base64 images makes Emacs slow
References: <20160924073739.59fca4e0@HIDDEN>
 <83h995dbzu.fsf@HIDDEN> <20160924110901.5482c558@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 24523
Cc: 24523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

merge 24523 13675
thanks

> Date: Sat, 24 Sep 2016 11:09:01 +0200
> From: Andreas Nilsson <an@HIDDEN>
> Cc: 24523 <at> debbugs.gnu.org
> 
> 1. emacs -Q
> 2. Visit https://www.base64-image.de/ and "click here" select an image
> (I selected a ~200kB one)
> 3. Click "show code" and copy paste the string you get into *scratch*.
> 4. Now try C-v and M-v as well as type some characters, this is the
> point where it lags.

This creates a single physical line whose length is 280K characters.
It is a known limitation of the Emacs display engine that it's very
slow with such long lines.  See bug #13675.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24523; Package emacs. Full text available.

Message received at 24523 <at> debbugs.gnu.org:


Received: (at 24523) by debbugs.gnu.org; 24 Sep 2016 09:08:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 05:08:58 2016
Received: from localhost ([127.0.0.1]:33861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnix7-000604-QY
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:08:57 -0400
Received: from ste-pvt-msa1.bahnhof.se ([213.80.101.70]:61377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bnix5-0005zv-UK
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 05:08:56 -0400
Received: from localhost (localhost [127.0.0.1])
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTP id A4E813F51B;
 Sat, 24 Sep 2016 11:08:54 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from ste-pvt-msa1.bahnhof.se ([127.0.0.1])
 by localhost (ste-pvt-msa1.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XsKxbU-ci5-W; Sat, 24 Sep 2016 11:08:50 +0200 (CEST)
Received: from localhost.localdomain (h-94-103.a230.priv.bahnhof.se
 [94.254.94.103]) (Authenticated sender: mb693743)
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTPA id 6A0EB3F4FF;
 Sat, 24 Sep 2016 11:08:50 +0200 (CEST)
Date: Sat, 24 Sep 2016 11:09:01 +0200
From: Andreas Nilsson <an@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24523: Base64 images makes Emacs slow
Message-ID: <20160924110901.5482c558@HIDDEN>
In-Reply-To: <83h995dbzu.fsf@HIDDEN>
References: <20160924073739.59fca4e0@HIDDEN>
	<83h995dbzu.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 24523
Cc: 24523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

Den Sat, 24 Sep 2016 09:53:57 +0300
skrev Re: bug#24523: Base64 images makes Emacs slow:

> > Date: Sat, 24 Sep 2016 07:37:39 +0200
> > From: Andreas Nilsson <an@HIDDEN>
> > 
> > When developing Javascript with base64 images in the code Emacs
> > becomes slow and laggy, it takes several seconds for a character to
> > input in the buffer with such an image string in it.
> > 
> > I have tried emacs -Q with no mode loaded and the lag is still
> > there, what should I do?  
> 
> Report the details, please.  Ideally, post a recipe, starting with
> "emacs -Q" and loading the necessary support libraries, then include
> whatever commands are needed to demonstrate the slowness.  Attach
> image files needed to reproduce the problem.  Also, include the
> details of your platform (if you use report-emacs-bug, it will do that
> for you).
> 
> Thanks.

1. emacs -Q
2. Visit https://www.base64-image.de/ and "click here" select an image
(I selected a ~200kB one)
3. Click "show code" and copy paste the string you get into *scratch*.
4. Now try C-v and M-v as well as type some characters, this is the
point where it lags.

My platforms are Windows 10 and Arch Linux, happens on both. Latest
stable Emacs 25.1.1. Specifically on Arch I use x86_64 with GTK+
3.20.9, if that is of interest.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24523; Package emacs. Full text available.

Message received at 24523 <at> debbugs.gnu.org:


Received: (at 24523) by debbugs.gnu.org; 24 Sep 2016 06:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 02:53:38 2016
Received: from localhost ([127.0.0.1]:33830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bngqA-00011B-FB
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 02:53:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bngq8-000110-Uz
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 02:53:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bngq0-0003RX-Nk
 for 24523 <at> debbugs.gnu.org; Sat, 24 Sep 2016 02:53:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33441)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bngq0-0003RQ-Kp; Sat, 24 Sep 2016 02:53:28 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4642
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bngpz-0004VF-RV; Sat, 24 Sep 2016 02:53:28 -0400
Date: Sat, 24 Sep 2016 09:53:57 +0300
Message-Id: <83h995dbzu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
In-reply-to: <20160924073739.59fca4e0@HIDDEN> (message from Andreas
 Nilsson on Sat, 24 Sep 2016 07:37:39 +0200)
Subject: Re: bug#24523: Base64 images makes Emacs slow
References: <20160924073739.59fca4e0@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 24523
Cc: 24523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> Date: Sat, 24 Sep 2016 07:37:39 +0200
> From: Andreas Nilsson <an@HIDDEN>
> 
> When developing Javascript with base64 images in the code Emacs becomes
> slow and laggy, it takes several seconds for a character to input in
> the buffer with such an image string in it.
> 
> I have tried emacs -Q with no mode loaded and the lag is still there,
> what should I do?

Report the details, please.  Ideally, post a recipe, starting with
"emacs -Q" and loading the necessary support libraries, then include
whatever commands are needed to demonstrate the slowness.  Attach
image files needed to reproduce the problem.  Also, include the
details of your platform (if you use report-emacs-bug, it will do that
for you).

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24523; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2016 05:37:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 01:37:54 2016
Received: from localhost ([127.0.0.1]:33814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnfes-0007cz-8u
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bnfeq-0007cm-Jb
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfek-0002Vt-Eh
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39227)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfek-0002Vp-Bf
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 01:37:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50875)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfei-0006ew-EG
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 01:37:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfee-0002Tx-DH
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 01:37:44 -0400
Received: from ste-pvt-msa1.bahnhof.se ([213.80.101.70]:30289)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bnfee-0002Qw-6e
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 01:37:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTP id CE8223F72F
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 07:37:28 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from ste-pvt-msa1.bahnhof.se ([127.0.0.1])
 by localhost (ste-pvt-msa1.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Zh0PM1LddLBH for <bug-gnu-emacs@HIDDEN>;
 Sat, 24 Sep 2016 07:37:28 +0200 (CEST)
Received: from localhost.localdomain (h-94-103.a230.priv.bahnhof.se
 [94.254.94.103]) (Authenticated sender: mb693743)
 by ste-pvt-msa1.bahnhof.se (Postfix) with ESMTPA id 860773F72E
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 07:37:28 +0200 (CEST)
Date: Sat, 24 Sep 2016 07:37:39 +0200
From: Andreas Nilsson <an@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Base64 images makes Emacs slow
Message-ID: <20160924073739.59fca4e0@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi.

When developing Javascript with base64 images in the code Emacs becomes
slow and laggy, it takes several seconds for a character to input in
the buffer with such an image string in it.

I have tried emacs -Q with no mode loaded and the lag is still there,
what should I do?

Thanks.

Andreas.




Acknowledgement sent to Andreas Nilsson <an@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24523; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Feb 2018 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.